package dev.shadowsoffire.apotheosis.ench.table;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import dev.shadowsoffire.apotheosis.ench.table.ApothEnchantScreen;
import dev.shadowsoffire.apotheosis.ench.table.ApothEnchantmentMenu;
import dev.shadowsoffire.apotheosis.ench.table.StatsMessage;
import dev.shadowsoffire.placebo.network.MessageHelper;
import dev.shadowsoffire.placebo.network.MessageProvider;
import java.util.Optional;
import java.util.function.Supplier;
import net.minecraft.client.Minecraft;
import net.minecraft.client.gui.screens.Screen;
import net.minecraft.network.FriendlyByteBuf;
import net.minecraftforge.network.NetworkDirection;
import net.minecraftforge.network.NetworkEvent;

public class Provider implements MessageProvider<StatsMessage> {
  public Class<?> getMsgClass() {
    return StatsMessage.class;
  }
  
  public void write(StatsMessage msg, FriendlyByteBuf buf) {
    msg.stats.write(buf);
  }
  
  public StatsMessage read(FriendlyByteBuf buf) {
    return new StatsMessage(ApothEnchantmentMenu.TableStats.read(buf));
  }
  
  public void handle(StatsMessage msg, Supplier<NetworkEvent.Context> ctx) {
    MessageHelper.handlePacket(() -> {
          Screen patt1294$temp = (Minecraft.m_91087_()).f_91080_;
          if (patt1294$temp instanceof ApothEnchantScreen) {
            ApothEnchantScreen es = (ApothEnchantScreen)patt1294$temp;
            es.menu.stats = msg.stats;
          } 
        }ctx);
  }
  
  public Optional<NetworkDirection> getNetworkDirection() {
    return Optional.of(NetworkDirection.PLAY_TO_CLIENT);
  }
}
